/////////////////////////////////////////////////////////////////////////////
//	Author 	: Venkadesh M
//	Date	: 20/06/203
//	Purpose	: Keypad interfacing
////////////////////////////////////////////////////////////////////////////


#ifndef _KEYPAD_H
#define _KEYPAD_H

#define scn_out    	(PORTB & 0b00001111)
#define scn_in(y) PORTB = ( PORTB & 0b00001111 ) | ( y << 4 )

enum newkey
{
NUNE  	= 20,
ZRO		= 9,
ONE		= 3,
TWO		= 2,
THREE	= 1,
FOUR	= 0,
FIVE	= 7,
SIX		= 6,
SEVEN	= 5,
EIGHT	= 4,
NINE	= 10,
ON_K	= 15,
OFF_K	= 12,
MENU	= 11,
LEFT	= 14,
RIGHT	= 13,
ENTER	= 8
};

void keypad_init(void);
void keypad_monitor(void);
char keycheck(void);
char find_key(void);

#endif